% $Id: CapitalizeTest.oz,v 1.1 2011/03/08 01:40:59 fhussain Exp $
\insert 'Capitalize.oz'
\insert 'TestingNoStop.oz'
declare
{StartTesting 'CapitalizeTest $Revision: 1.1 $'}
proc {CapitalizeTest CapitalizeFun}
   {TestLOS {CapitalizeFun nil} '==' nil}
   {TestLOS {CapitalizeFun ["the" "computer" "science" "way" "of" "the" "world"]}
    '==' ["The" "Computer" "Science" "Way" "Of" "The" "World"]}
   {TestLOS {CapitalizeFun ["a" "tale" "of" "two" "cities" "by" "charles" "dickens"]}
    '==' ["A" "Tale" "Of" "Two" "Cities" "By" "Charles" "Dickens"]}
   {TestLOS {CapitalizeFun ["z"]} '==' ["Z"]}
   {TestLOS {CapitalizeFun ["hand" "in" "test" "output!"]}
    '==' ["Hand" "In" "Test" "Output!"]}
end

{StartTesting 'Part A'}
{CapitalizeTest CapitalizeFor}
{StartTesting 'Part B'}
{CapitalizeTest CapitalizeMap}
{StartTesting done}
